#include "ProjectileProfile.h"

// Constructor implementation
ProjectileProfile::ProjectileProfile() {}
ProjectileProfile::ProjectileProfile(String name, ProjectileType type, float caliber, float weight) {
   strcpy(_name, name.c_str());
   _type=type;
   _caliber=caliber;
   _weight=weight;
}
String ProjectileProfile::getName(){return String(_name);}
float ProjectileProfile::getWeight(){return _weight;}
String ProjectileProfile::getType(){if (_type==PELLET){return "Pellet";}else{return "Slug";}}
float ProjectileProfile::getCaliber(){return _caliber;}